Skip to main content
DELETE
/
metadata
/
{siteId}
/
notes
/
{noteId}
Delete a site note
curl --request DELETE \
  --url https://v1.api.altostrat.io/metadata/{siteId}/notes/{noteId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/metadata/{siteId}/notes/{noteId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/metadata/{siteId}/notes/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "invalid_request_error",
  "code": "parameter_missing",
  "message": "The 'name' parameter is required for this request.",
  "doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}

Authorizations

Authorization
string
header
required

A bearer token is required for all API requests.

Path Parameters

siteId
string
required

The unique identifier for the site.

noteId
string
required

The unique identifier (filename) for the note.

Response

The note was deleted successfully.